Create script
Creates a new script in the specified instance. The script can be created with initial nodes and edges, or as a blank script to be edited later.
Creates a new script in the specified instance. The script can be created with initial nodes and edges, or as a blank script to be edited later.
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The instance to create the script in. Format: UUID string.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The human-readable name for the script.
Optional description of what the script does.
doubledoubledoubledoubleWhether the script should be created in paused state. If false (default), the script starts running immediately after creation.
Maximum number of node executions per trigger invocation.
int64Maximum wall-clock time for a single trigger execution in milliseconds.
int64Maximum number of concurrent trigger invocations.
int32Maximum number of entries in the script's state store.
int64When true, disables per-node and data edge timeouts entirely.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "http://127.0.0.1:38765/v1/instances/:instance_id/scripts" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "nodes.id": "string", "nodes.type": "string", "nodes.position.x": 0.1, "nodes.position.y": 0.1, "nodes.muted": true, "nodes.collapsed": true, "nodes.parent_frame_id": "string", "edges.id": "string", "edges.source": "string", "edges.source_handle": "string", "edges.target": "string", "edges.target_handle": "string", "edges.edge_type": {}, "paused": true, "quotas.disable_timeouts": true }'{ "script": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "nodes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "position": { "x": 0.1, "y": 0.1 }, "data": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } } } }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } } }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } } } }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } } }, "list_value": { "values": [] } } ] } } }, "muted": true, "collapsed": true, "width": 0.1, "height": 0.1, "contained_nodes": [ "string" ], "label": "string", "resolved_type": "PORT_TYPE_ANY", "parent_frame_id": "string" } ], "edges": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source": "string", "source_handle": "string", "target": "string", "target_handle": "string", "edge_type": "EDGE_TYPE_EXECUTION" } ], "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366", "paused": true, "quotas": { "max_execution_count": 0, "max_execution_time_ms": 0, "max_concurrent_triggers": 0, "max_state_store_entries": 0, "disable_timeouts": true } }, "diagnostics": [ { "node_id": "string", "edge_id": "string", "message": "string", "severity": "DIAGNOSTIC_ERROR" } ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?